<nav class="navbar navbar-expand-lg align-items-lg-center container-p-x" [ngClass]="currentBg()">

  <div  class="web-brand demo-brand">
    <div  class="align-items-center">
      <div  class="d-flex align-items-center">
        <span  (click)="toggleSidenav()" class="f-20 v-middle cursor">
          <div  class="hxLogo"></div>
        </span>

        <span  class="ml-3 f-20 v-middle cursor"  (error)="updateImgError($event)" (click)="goToDefaultPage()" >
          <img  src="assets/imgs/hxlogo/hx_text.svg" style="height:20px; margin-top: 2px;"></span>
          <span  class="f-22 d-none"><!----></span></div>
          <div  class="text-muted position-absolute pt-2" style="font-size:10px;">MENU</div>
        </div>
        <div  style="padding-left:0px;">
          <p  style="margin-bottom:1px;">
            <a  class="demo-brand-name sidenav-text font-weight-normal ml-2" routerlink="/" style="font-weight:bolder !important; color: #ffffff;" href="/"></a></p>
            <a  class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;"></a></div></div>
  <!-- Brand demo (see demo.css) -->
  <!-- <a class="navbar-brand demo-brand d-lg-none py-0">
      <span >
          <img class="logo-class" style="height: 36px;" [src]="logo">
           </span> -->
  <!-- <span class="demo-brand-name font-weight-normal ml-2">Hypersonix</span>
       -->
  <!-- <div style="padding-left:15px;">
          <p style="margin-top:0.4rem;margin-bottom:1px;"><span class="demo-brand-name sidenav-text font-weight-normal ml-2" >{{title}}</span></p>
          <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">Powered by Hypersonix</a>
        </div>
    </a> -->

  <!-- Sidenav toggle (see demo.css) -->
  <!-- <div class="layout-sidenav-toggle navbar-nav d-lg-none align-items-lg-center mr-auto" *ngIf="sidenavToggle">
    <a class="nav-item nav-link px-0 ml-2 ml-lg-0  " ngbTooltip="Menu" href="javascript:void(0)" (click)="toggleSidenav()">
      <i class="fas fa-th text-large align-middle" style="font-size:0.95rem !important;color:#777;"></i>
    </a>
  </div> -->

  <!-- <div class="demo-brand" *ngIf="orientation !== 'horizontal'">
          <span >
            <img src="assets/img/logo.png" style="height: 25px;" class="login-logo" />
          </span>
          <div style="padding-left:0px;">
            <p style="margin-bottom:1px;">
              <a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2" style="font-weight:bolder !important; color: #ffffff;">Hypersonix</a>
            </p>
            <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">
            </a>
          </div>
    </div> -->
  <!-- <div class="demo-brand" *ngIf="orientation !== 'horizontal'">
    <span >
      <img [src]="logo" class="login-logo" (error)="updateImgError($event)" (click)="goToDefaultPage()"/>
    </span>
    <div style="padding-left:0px;">
      <p style="margin-bottom:1px;">
        <a  class="demo-brand-name sidenav-text font-weight-normal ml-2"
          style="font-weight:bolder !important; color: #ffffff;">{{title}}</a>
      </p>
      <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">
      </a>
    </div>
  </div> -->

  <!-- <button class="navbar-toggler" type="button" (click)="isExpanded = !isExpanded">
          <span class="navbar-toggler-icon"></span>
           <i class="ion ion-md-menu text-large align-middle"></i>
   </button>  -->

  <!-- USER PROFILE -->
  <!-- <div dropdown [autoClose]="true" class="demo-navbar-user nav-item btn-group view-device">
    <a dropdownToggle class="hide-arrow nav-link dropdown-toggle dropdown-link" href="javascript:void(0)">

      <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
        <img src="assets/img/avatars/1.png" alt class="d-block ui-w-30">

      </span>
    </a>


    <div *dropdownMenu class="dropdown-menu profileMenu cust-dropdown-menu mob-user-profile dropdown-behaviour"
      role="menu">
      <span class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material "><b>{{userName}}</b></span>
      <a href="javascript:void(0)" class="dropdown-item" (click)="logout()"><i class="fa fa-power-off"
          aria-hidden="true"></i>&nbsp; Log Out</a>
 </div>
  </div> -->

  <!-- USER PROFILE -->

  <div class="navbar-collapse collapse" [ngbCollapse]="!isExpanded">
    <!-- Divider -->
    <hr class="d-lg-none w-100 my-2">

    <!-- <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center" style="width:100%;">
  
            <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">
                <span class="dropdown-item text-center" *ngIf="suggestionList.length == 0" >No data found</span>
                <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="itemSelected(item)">{{item}}</a>
            </div>
        </div> -->



    <!-- <div class="navbar-nav align-items-center" *ngIf="false">
            <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
                <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
                  <img src="../../../assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
                </a>
                <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
                  <img src="../../../assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
                </a>
            </div>
            <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
                <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
                    <div #siriwaveview></div>
                </div>
            </div>
        </div> -->

    <div class="navbar-nav align-items-lg-center ml-auto">

      <!-- <div class="nav-item d-none d-lg-block text-big font-weight-light line-height-1 opacity-25 mr-3 ml-1">|</div> -->

      <!-- <div dropdown [autoClose]="true" class="demo-navbar-user nav-item btn-group">
        <a dropdownToggle class="nav-link dropdown-toggle dropdown-link" href="javascript:void(0)">
          <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
            <span class="px-1 mr-lg-2 ml-2 ml-lg-0"><b>{{userName}}</b></span>
          </span>
        </a>
        <div *dropdownMenu class="dropdown-menu profileMenu cust-dropdown-menu dropdown-behaviour" role="menu">
         <a href="javascript:void(0)" class="dropdown-item" (click)="logout()"><i class="fa fa-power-off"
              aria-hidden="true"></i>&nbsp; Log Out</a>
        </div>
      </div> -->
      <div  class="demo-navbar-user nav-item dropdown" ngbDropdown  [placement]="'bottom-right'" class="ml-1">
        <a  aria-haspopup="true" class="nav-link dropdown-toggle p-0" href="javascript:void(0)" [class.dropdown-menu-right]="!isRTL" ngbDropdownToggle aria-expanded="false">
          <span  class="d-inline-flex flex-lg-row-reverse align-items-center align-middle p-0">
            <img  alt="" class="d-block ui-w-40 rounded-circle" src="assets/img/avatars/1-small.svg">
            <a href="javascript:void(0)" class="dropdown-item text-right user-hover" style="display: grid;">
              <span class=" ml-2 ml-lg-0 username-material text-muted" style="text-transform: capitalize;
              font-size: 11px; font-weight: 400; letter-spacing: .6px; color: #777 !important;">{{companyName}}</span ><span
              class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material user-text"><b>{{userName}}</b></span></a>
          </span>
        </a>
          <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-3 py-2" style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
                <a class="dropdown-item" href="javascript:void(0)" (click)="logout()">
                  <i class="las la-power-off fa-lg"></i><span class="ml-2">Log Out</span></a>
     </div>
     </div>
    </div>
  </div>
</nav>